/**
 * @file
 * $Id: config.h,v 1.2 2003/09/09 10:23:27 vmankine Exp $
 * @author Timo Savola <timo.savola@movial.fi>
 */

#ifndef CONFIG_H
#define CONFIG_H

/** Holds the info parsed from the client's config file. */
typedef struct {
	char *user;
	char *host;
	int port;
	char *pwd;
	char **opts;
} config_t;

extern void init_config(config_t *cfg);
extern void free_config(config_t *cfg);
extern int read_config(const char *file, const char *target, config_t *cfg);
extern char **get_targets(const char *filename);

#endif
